Patchwork webkit/midori: fix COMPATIBLE_HOST

login
register
mail settings
Submitter rongqing.li@windriver.com
Date Nov. 25, 2013, 8:58 a.m.
Message ID <1385369935-10918-1-git-send-email-rongqing.li@windriver.com>
Download mbox | patch
Permalink /patch/62276/
State Accepted
Commit 2eccff75d1e201a536c82a649635e2fb2605b6f3
Headers show

Comments

rongqing.li@windriver.com - Nov. 25, 2013, 8:58 a.m.
From: Roy Li <rongqing.li@windriver.com>

webkit can not be built on mips64 with n32 ABI, but can be built on mips64
n64 and o32 ABI whose TARGET_SYS's name is mips-*-linux

Signed-off-by: Roy Li <rongqing.li@windriver.com>
---
 meta/recipes-sato/midori/midori_0.5.5.bb     |    4 ++--
 meta/recipes-sato/webkit/webkit-gtk_1.8.3.bb |    4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

Patch

diff --git a/meta/recipes-sato/midori/midori_0.5.5.bb b/meta/recipes-sato/midori/midori_0.5.5.bb
index 7c233cb..d3f42cc 100644
--- a/meta/recipes-sato/midori/midori_0.5.5.bb
+++ b/meta/recipes-sato/midori/midori_0.5.5.bb
@@ -11,8 +11,8 @@  SRC_URI[md5sum] = "b99e87d4b73a4732ed1c1e591f0242ac"
 SRC_URI[sha256sum] = "ca69382a285222a86028abebd73fed1976735883027ff0adc094b627789bbd62"
 
 # midori depends on webkit-gtk, and webkit-gtk can NOT be built on
-# MIPS64 with 64 bits userspace. So remove it from mips64 temporarily.
-COMPATIBLE_HOST_mips64 = "mips64.*-linux-gnun32"
+# MIPS64 with n32 ABI. So remove it from mips64 n32 temporarily.
+COMPATIBLE_HOST_mips64 = "mips64.*-linux"
 
 inherit gtk-icon-cache pkgconfig vala pythonnative
 
diff --git a/meta/recipes-sato/webkit/webkit-gtk_1.8.3.bb b/meta/recipes-sato/webkit/webkit-gtk_1.8.3.bb
index adab4fa..3581de3 100644
--- a/meta/recipes-sato/webkit/webkit-gtk_1.8.3.bb
+++ b/meta/recipes-sato/webkit/webkit-gtk_1.8.3.bb
@@ -31,8 +31,8 @@  SRC_URI = "\
 SRC_URI[md5sum] = "dcbf9d5e2e6391f857c29a57528b32a6"
 SRC_URI[sha256sum] = "ada02d636af61aed38f142d3cded662d141ce71264f624c4eb873621a74cc9e7"
 
-# webkit-gtk can NOT be built on MIPS64 with 64 bits userspace
-COMPATIBLE_HOST_mips64 = "mips64.*-linux-gnun32"
+# webkit-gtk can NOT be built on MIPS64 with n32 ABI
+COMPATIBLE_HOST_mips64 = "mips64.*-linux"
 
 inherit autotools lib_package gtk-doc pkgconfig